org.eclipse.jdt.debug.core

## Interface IEvaluationRunnable

    public interface IEvaluationRunnable

A runnable that represents one logical evaluation to be run in a target thread.

Clients are intended to implement this interface.

Since:
  2.0
See Also:
  `IJavaThread.runEvaluation(IEvaluationRunnable, IProgressMonitor, int, boolean)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `run(IJavaThread thread, IProgressMonitor monitor)` Runs this evaluation in the specified thread, reporting progress to the given progress monitor.

### Method Detail

#### run

    void run(IJavaThread thread,
             IProgressMonitor monitor)
      throws DebugException

Runs this evaluation in the specified thread, reporting progress to the given progress monitor.

Parameters:
  `thread` - the thread in which to run the evaluation
  `monitor` - progress monitor (may be `null`)
Throws:
  `DebugException` - if an exception occurs during the evaluation